View Issue Details

IDProjectCategoryView StatusLast Update
0007349OXID eShop (all versions)4.03. 3rd party librariespublic2022-08-25 14:04
Reporterd3 
PriorityhighSeverityminorReproducibilityalways
Status acknowledgedResolutionopen 
Product Version6.5.0 
Target VersionFixed in Version 
Summary0007349: Unnecessary dependency Unzer SDK in the OXID EE metapackage
DescriptionThe Unzer SDK is listed in the composer dependencies of the OXID Enterprise metapackage.

The SDK is only required in the OXID Unzer plugin and is also listed there in the dependencies.

Thus, the dependency in the EE metapackage is unnecessary and blocks other 3rd party plugins that may need an alternative version of this SDK.

Please remove the dependency in the metapackage and update it exclusively in the OXID Unzer plugin if required.
TagsNo tags attached.
ThemeNot defined
BrowserNot defined
PHP VersionNot defined
Database VersionNot defined

Activities

d3

2022-08-25 13:34

reporter   ~0014126

Required changes attached as a patch

(DS)

d3

2022-08-25 13:36

reporter   ~0014127

There is no patch because Mantis does not support file upload (despite the corresponding interface). :(

QA

2022-08-25 14:04

administrator   ~0014128

Hello,

the issue was acknowledged and forwarded to our dev team. You're right, that the dependency is in the module and should not be anywhere else, if only needed within the module. Thank you.

[sp]